Опрос про продолжение сборки пакетов для Ubuntu 12

Продолжить поддержку Ubuntu 12.04

Некоторые пакеты уже не собираются без ошибок для Ubuntu 12.04.

Официальная поддержка давно закончилась.

Плюс я уже не использую этот релиз для своих проектов и вирт.машин.

Стоит ли продолжать поддержку сборки пакетов для него, или уже можно место очищать и не тратить время?

Обновление пакета — php55 — 5.5.38-1sergeyd13.2

Большое обновление: патчи, поддержка новых релизов, cron-скрипты и др. Читать далее Обновление пакета — php55 — 5.5.38-1sergeyd13.2

Обновление пакета — php72 — 7.2.34-0sergeyd10.12

Новая версия — 7.2.34.

Обновление работы скриптов очистки временных файлов.

Читать далее Обновление пакета — php72 — 7.2.34-0sergeyd10.12

Обновление пакета — php74 — 7.4.13-0sergeyd5.5

Новая версия — 7.4.13.

Разделение скриптов очистки временных файлов для soap, php74, поддержка Ubuntu 20.04.

Читать далее Обновление пакета — php74 — 7.4.13-0sergeyd5.5

Обновление пакета — php72 — 7.2.33-0sergeyd10.11

Новая версия — 7.2.33.

Разделение скриптов очистки временных файлов для opcache, soap, php72.

Читать далее Обновление пакета — php72 — 7.2.33-0sergeyd10.11

Обновление пакета — php73 — 7.3.21-0sergeyd2

Новая версия — 7.3.21.

Разделение скриптов очистки временных файлов для opcache, soap, php73.

Читать далее Обновление пакета — php73 — 7.3.21-0sergeyd2

Приостановка сборок пакетов [обновлено]

Сборка пакетов приостановлена — делаю разделение сборок для архитектур на отдельных вирт.машинах.


Сборочные машины запущены, пакеты будут собираться чуть быстрее.

Сборка пакетов для armhf и arm64 на Raspbian Pi прекращена

Оба сервера на Raspbian Pi 2B и 3B вышли из строя.

Как только я их починю — пакеты снова будут собираться специально на них.

Пока пакеты для архитектур armhf и arm64 будут собираться с помощью qemu.

Пакеты для Ubuntu 20.04 собираются по возможности

Пакеты для Ubuntu 20.04 в официальном репозитории доступны только частично.

По-этому не все пакет можно пересобрать.

Придется подождать первого обновления 20.04.1.

Прекращение поддержки Ubuntu Lucid

Дистрибутив слишком сильно устарел.

Поддержка сборки пакетов стала требовать слишком много усилий.

Официальная поддержка давно закончилась.

И он больше не используется мной ни на одном сервере или проекте.

Все пакеты для Ubuntu Lucid будут удалены в течении ближайших двух месяцев.

Прекращение поддержки дистрибутивов Raspbian и Devuan

Пакеты для Raspbian совпадают с пакетами для Debian. Отдельная поддержка не имеет смысла. Можно просто подключить репозитории для debian-{release}.

Дистрибутив Devuan мной более нигде не используется. Дальнейшая поддержка не имеет смысла.

Пакеты будут удалены в течении ближайших месяцев.

Обновление пакета — openssl102r — 1.0.2s-1deb9u1sergeyd4

Изменения:

  • Новая версия — 1.0.2s.

Читать далее Обновление пакета — openssl102r — 1.0.2s-1deb9u1sergeyd4